﻿--[[
    Copyright Daniel D. Neilson, 2006

    This file is part of Bidder.

    Bidder is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bidder is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bidder; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
]]
--[[
    Generic utility functions
]]

function Bidder:TableDelete(tab)
    local k,v
    for k,v in pairs(tab) do
        if type(tab[k]) == "table" then
            self:TableDelete(tab[k])
        end
        tab[k] = nil
    end
end

-- Returns true if the given name is in our raid, false otherwise
function Bidder:NameInRaid(name)
    local i=1
    while i ~= 41 do
        local raidID = "raid"..i
        local rname = GetRaidRosterInfo(i)
        if rname == name then return true; end
        i = i + 1
    end
    return false
end